Get billing configs

Query all recycling plan configurations for the store:

Get billing configs

GET /svc/payment/api/v1/openapi/recurring_payments/billing_configs

Query all recycling plan configurations for the store:

please check https://developer.wonder.today/resources/query_dsl for query param details.

Request

Query Parameters

filter string

offset number

limit number

Responses

  • 200

Response Headers

  • application/json

  • Schema

  • Example (auto)

Schema

code integerrequired

message stringrequired

data objectrequired

configs object[]required

Array [

id stringrequired

interval_count integer

billing_interval stringrequired

billing_type stringrequired

billing_month integer

billing_day_of_month integer

billing_proration_enabled boolean

description string

created_at stringrequired

updated_at stringrequired

deleted_at stringnullable

]

{ "code": 0, "message": "string", "data": { "configs": [\ {\ "id": "string",\ "interval_count": 0,\ "billing_interval": "string",\ "billing_type": "string",\ "billing_month": 0,\ "billing_day_of_month": 0,\ "billing_proration_enabled": true,\ "description": "string",\ "created_at": "string",\ "updated_at": "string",\ "deleted_at": "string"\ }\ ] } }
  • csharp

  • curl

  • dart

  • go

  • http

  • java

  • javascript

  • kotlin

  • c

  • nodejs

  • objective-c

  • ocaml

  • php

  • powershell

  • python

  • r

  • ruby

  • rust

  • shell

  • swift

  • HTTPCLIENT

  • RESTSHARP

var client = new HttpClient(); var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/payment/api/v1/openapi/recurring_payments/billing_configs"); request.Headers.Add("Accept", "application/json"); var response = await client.SendAsync(request); response.EnsureSuccessStatusCode(); Console.WriteLine(await response.Content.ReadAsStringAsync());

Request Collapse all

Parameters

Show optional parameters

filter — query

offset — query

limit — query